Flight Delays
curl --request GET \
--url https://api.flystack.dev/v1/delays \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flystack.dev/v1/delays"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flystack.dev/v1/delays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flystack.dev/v1/delays",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flystack.dev/v1/delays"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flystack.dev/v1/delays")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flystack.dev/v1/delays")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"airline_iata": "BA",
"airline_icao": "BAW",
"flight_iata": "BA6984",
"flight_icao": "BAW6984",
"flight_number": "6984",
"cs_airline_iata": "AA",
"cs_flight_number": "2421",
"cs_flight_iata": "AA2421",
"dep_iata": "MIA",
"dep_icao": "KMIA",
"dep_terminal": "C",
"dep_gate": "E4",
"dep_time": "2021-07-14 19:53",
"dep_time_ts": 1626306780,
"dep_time_utc": "2021-07-14 23:53",
"dep_estimated": "2021-07-14 22:10",
"dep_estimated_ts": 1626315000,
"dep_estimated_utc": "2021-07-15 02:10",
"arr_iata": "SFO",
"arr_icao": "KSFO",
"arr_terminal": "1",
"arr_gate": "B24",
"arr_baggage": "1",
"arr_time": "2021-07-14 22:52",
"arr_time_ts": 1626328320,
"arr_time_utc": "2021-07-15 05:52",
"arr_estimated": "2021-07-15 01:09",
"arr_estimated_ts": 1626336540,
"arr_estimated_utc": "2021-07-15 08:09",
"status": "scheduled",
"duration": 359,
"delayed": 137
}
]
Real-time
Flight Delays
Monitor live flight delays worldwide or filter by airport, airline, or flight.
GET
/
v1
/
delays
Flight Delays
curl --request GET \
--url https://api.flystack.dev/v1/delays \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flystack.dev/v1/delays"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flystack.dev/v1/delays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flystack.dev/v1/delays",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flystack.dev/v1/delays"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flystack.dev/v1/delays")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flystack.dev/v1/delays")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"airline_iata": "BA",
"airline_icao": "BAW",
"flight_iata": "BA6984",
"flight_icao": "BAW6984",
"flight_number": "6984",
"cs_airline_iata": "AA",
"cs_flight_number": "2421",
"cs_flight_iata": "AA2421",
"dep_iata": "MIA",
"dep_icao": "KMIA",
"dep_terminal": "C",
"dep_gate": "E4",
"dep_time": "2021-07-14 19:53",
"dep_time_ts": 1626306780,
"dep_time_utc": "2021-07-14 23:53",
"dep_estimated": "2021-07-14 22:10",
"dep_estimated_ts": 1626315000,
"dep_estimated_utc": "2021-07-15 02:10",
"arr_iata": "SFO",
"arr_icao": "KSFO",
"arr_terminal": "1",
"arr_gate": "B24",
"arr_baggage": "1",
"arr_time": "2021-07-14 22:52",
"arr_time_ts": 1626328320,
"arr_time_utc": "2021-07-15 05:52",
"arr_estimated": "2021-07-15 01:09",
"arr_estimated_ts": 1626336540,
"arr_estimated_utc": "2021-07-15 08:09",
"status": "scheduled",
"duration": 359,
"delayed": 137
}
]
Beta: This endpoint reflects live delays for departing or arriving flights. Coverage may vary.
Authentication
string
required
Your FlyStack API token. You can create one from the dashboard (see Authentication).
Query parameters
Required
number
required
Minimum delay (in minutes). Must be greater than 30.
string
required
Flight type:
departuresarrivals
Optional filters
string
Filter by departure airport IATA code.
string
Filter by departure airport ICAO code.
string
Filter by arrival airport IATA code.
string
Filter by arrival airport ICAO code.
string
Filter by airline ICAO code.
string
Filter by airline IATA code.
string
Filter by flight ICAO code-number.
string
Filter by flight IATA code-number.
string
Filter by flight number only.
Response shaping & pagination
string
Comma-separated list of fields to return (e.g.,
airline_iata,flight_number).number
Max number of results per response (limits may depend on your plan).
number
Pagination offset (0+). Use with
limit when a response indicates there are more results.Response
The endpoint returns a list of delayed flights.Delay response fields
This response reuses the schedule-style fields (airline/flight codes, airports, terminals/gates, times). The key delay field is
delayed.Show Core identifiers
Show Core identifiers
Show Airports
Show Airports
string
Departure airport IATA code.
string
Departure airport ICAO code.
string
Arrival airport IATA code.
string
Arrival airport ICAO code.
string
Estimated departure terminal (when available).
string
Estimated departure gate (when available).
string
Estimated arrival terminal (when available).
string
Estimated arrival gate (when available).
string
Estimated baggage belt (when available).
Show Times & delay
Show Times & delay
string
Scheduled departure time (local).
number
Scheduled departure time (unix).
string
Scheduled departure time (UTC).
string
Estimated departure time (local, when available).
number
Estimated departure time (unix, when available).
string
Estimated departure time (UTC, when available).
string
Scheduled arrival time (local).
number
Scheduled arrival time (unix).
string
Scheduled arrival time (UTC).
string
Estimated arrival time (local, when available).
number
Estimated arrival time (unix, when available).
string
Estimated arrival time (UTC, when available).
number
Estimated delay time (minutes).
[
{
"airline_iata": "BA",
"airline_icao": "BAW",
"flight_iata": "BA6984",
"flight_icao": "BAW6984",
"flight_number": "6984",
"cs_airline_iata": "AA",
"cs_flight_number": "2421",
"cs_flight_iata": "AA2421",
"dep_iata": "MIA",
"dep_icao": "KMIA",
"dep_terminal": "C",
"dep_gate": "E4",
"dep_time": "2021-07-14 19:53",
"dep_time_ts": 1626306780,
"dep_time_utc": "2021-07-14 23:53",
"dep_estimated": "2021-07-14 22:10",
"dep_estimated_ts": 1626315000,
"dep_estimated_utc": "2021-07-15 02:10",
"arr_iata": "SFO",
"arr_icao": "KSFO",
"arr_terminal": "1",
"arr_gate": "B24",
"arr_baggage": "1",
"arr_time": "2021-07-14 22:52",
"arr_time_ts": 1626328320,
"arr_time_utc": "2021-07-15 05:52",
"arr_estimated": "2021-07-15 01:09",
"arr_estimated_ts": 1626336540,
"arr_estimated_utc": "2021-07-15 08:09",
"status": "scheduled",
"duration": 359,
"delayed": 137
}
]